﻿<AML>
 <Item type="RelationshipType" id="4C1643C3D7EC48CFADB45A87CE64BCD4" action="add" dependencyLevel="0">
  <auto_search>1</auto_search>
  <behavior>float</behavior>
  <copy_permissions>0</copy_permissions>
  <create_related>0</create_related>
  <grid_view>intermix</grid_view>
  <hide_in_all>0</hide_in_all>
  <inc_rel_key_name>1</inc_rel_key_name>
  <inc_related_key_name>1</inc_related_key_name>
  <is_list_type>0</is_list_type>
  <label xml:lang="en">Service Part Details</label>
  <new_show_related>1</new_show_related>
  <related_id keyed_name="sopsv_service_part" type="ItemType" name="sopsv_service_part">2544633DF56B428F8AD8EE70B8082922</related_id>
  <related_notnull>1</related_notnull>
  <related_option>1</related_option>
  <relationship_id keyed_name="sop_po_service_part_details" type="ItemType" name="sop_po_service_part_details">
   <Item type="ItemType" id="48A2D07AB6C540A18F881E442B18899A" action="add">
    <allow_private_permission>1</allow_private_permission>
    <auto_search>0</auto_search>
    <enforce_discovery>0</enforce_discovery>
    <hide_where_used>0</hide_where_used>
    <implementation_type>table</implementation_type>
    <instance_data>SOP_PO_SERVICE_PART_DETAILS</instance_data>
    <is_dependent>0</is_dependent>
    <is_relationship>1</is_relationship>
    <is_versionable>0</is_versionable>
    <revisions keyed_name="Default" type="Revision">7FE395DD8B9F4E1090756A34B733D75E</revisions>
    <show_parameters_tab>1</show_parameters_tab>
    <structure_view>tabs off</structure_view>
    <unlock_on_logout>0</unlock_on_logout>
    <use_src_access>1</use_src_access>
    <name>sop_po_service_part_details</name>
    <Relationships>
     <Item type="Property" id="8ED2139C9616433EA4199E56861B37C4" action="add">
      <column_alignment>left</column_alignment>
      <data_type>text</data_type>
      <is_hidden>1</is_hidden>
      <is_hidden2>1</is_hidden2>
      <is_indexed>0</is_indexed>
      <is_keyed>0</is_keyed>
      <is_multi_valued>0</is_multi_valued>
      <is_required>0</is_required>
      <label xml:lang="en">Description</label>
      <range_inclusive>0</range_inclusive>
      <readonly>0</readonly>
      <sort_order>3584</sort_order>
      <source_id keyed_name="sop_po_service_part_details" type="ItemType" name="sop_po_service_part_details">48A2D07AB6C540A18F881E442B18899A</source_id>
      <track_history>0</track_history>
      <name>stk_description</name>
     </Item>
     <Item type="Property" id="965801042B4E45F1986248DA059BB617" action="add">
      <column_alignment>left</column_alignment>
      <data_type>integer</data_type>
      <is_hidden>0</is_hidden>
      <is_hidden2>0</is_hidden2>
      <is_indexed>0</is_indexed>
      <is_keyed>0</is_keyed>
      <is_multi_valued>0</is_multi_valued>
      <is_required>0</is_required>
      <label xml:lang="en">Item</label>
      <range_inclusive>0</range_inclusive>
      <readonly>0</readonly>
      <sort_order>1</sort_order>
      <source_id keyed_name="sop_po_service_part_details" type="ItemType" name="sop_po_service_part_details">48A2D07AB6C540A18F881E442B18899A</source_id>
      <track_history>0</track_history>
      <name>stk_item</name>
     </Item>
     <Item type="Property" id="76FAAEEC525346F2B2EC527518430934" action="add">
      <column_alignment>left</column_alignment>
      <data_type>string</data_type>
      <is_hidden>1</is_hidden>
      <is_hidden2>1</is_hidden2>
      <is_indexed>0</is_indexed>
      <is_keyed>0</is_keyed>
      <is_multi_valued>0</is_multi_valued>
      <is_required>0</is_required>
      <label xml:lang="en">Part Number</label>
      <range_inclusive>0</range_inclusive>
      <readonly>0</readonly>
      <sort_order>3840</sort_order>
      <source_id keyed_name="sop_po_service_part_details" type="ItemType" name="sop_po_service_part_details">48A2D07AB6C540A18F881E442B18899A</source_id>
      <stored_length>100</stored_length>
      <track_history>0</track_history>
      <name>stk_part_number</name>
     </Item>
     <Item type="Property" id="C0F091E462EC4E96BC33A79BB27B901C" action="add">
      <column_alignment>left</column_alignment>
      <data_type>decimal</data_type>
      <default_value xml:lang="en">0</default_value>
      <is_hidden>0</is_hidden>
      <is_hidden2>0</is_hidden2>
      <is_indexed>0</is_indexed>
      <is_keyed>0</is_keyed>
      <is_multi_valued>0</is_multi_valued>
      <is_required>0</is_required>
      <label xml:lang="en">Price</label>
      <prec>19</prec>
      <range_inclusive>0</range_inclusive>
      <readonly>0</readonly>
      <scale>2</scale>
      <sort_order>6</sort_order>
      <source_id keyed_name="sop_po_service_part_details" type="ItemType" name="sop_po_service_part_details">48A2D07AB6C540A18F881E442B18899A</source_id>
      <track_history>0</track_history>
      <name>stk_price</name>
      <Relationships>
       <Item type="Grid Event" id="F290B348FF734C89B364DD773C3C9FB9" action="add">
        <grid_event>oneditfinish</grid_event>
        <related_id keyed_name="sop_price_change" type="Method">
         <Item type="Method" action="get" select="id">
          <name>sop_price_change</name>
         </Item>
        </related_id>
        <sort_order>128</sort_order>
        <source_id keyed_name="stk_price" type="Property">C0F091E462EC4E96BC33A79BB27B901C</source_id>
       </Item>
      </Relationships>
     </Item>
     <Item type="Property" id="C1A5FF35DA0B46D09A18E759CD2A964A" action="add">
      <column_alignment>left</column_alignment>
      <data_type>integer</data_type>
      <default_value xml:lang="en">1</default_value>
      <is_hidden>0</is_hidden>
      <is_hidden2>0</is_hidden2>
      <is_indexed>0</is_indexed>
      <is_keyed>0</is_keyed>
      <is_multi_valued>0</is_multi_valued>
      <is_required>0</is_required>
      <label xml:lang="en">Qty</label>
      <range_inclusive>0</range_inclusive>
      <readonly>0</readonly>
      <sort_order>5</sort_order>
      <source_id keyed_name="sop_po_service_part_details" type="ItemType" name="sop_po_service_part_details">48A2D07AB6C540A18F881E442B18899A</source_id>
      <track_history>0</track_history>
      <name>stk_qty</name>
      <Relationships>
       <Item type="Grid Event" id="32D1E9E3F0F1454298515F1CFC420DF0" action="add">
        <grid_event>oneditfinish</grid_event>
        <related_id keyed_name="sop_qty_change" type="Method">
         <Item type="Method" action="get" select="id">
          <name>sop_qty_change</name>
         </Item>
        </related_id>
        <sort_order>128</sort_order>
        <source_id keyed_name="stk_qty" type="Property">C1A5FF35DA0B46D09A18E759CD2A964A</source_id>
       </Item>
       <Item type="Grid Event" id="7DE349CAC3654F99BA21F9BC54B35695" action="add">
        <grid_event>oneditfinish</grid_event>
        <related_id keyed_name="sop_price_change" type="Method">
         <Item type="Method" action="get" select="id">
          <name>sop_price_change</name>
         </Item>
        </related_id>
        <sort_order>256</sort_order>
        <source_id keyed_name="stk_qty" type="Property">C1A5FF35DA0B46D09A18E759CD2A964A</source_id>
       </Item>
      </Relationships>
     </Item>
     <Item type="Property" id="97C5FF652D5043CE923A2C9CCA2E66F3" action="add">
      <column_alignment>left</column_alignment>
      <data_type>decimal</data_type>
      <default_value xml:lang="en">0</default_value>
      <is_hidden>0</is_hidden>
      <is_hidden2>0</is_hidden2>
      <is_indexed>0</is_indexed>
      <is_keyed>0</is_keyed>
      <is_multi_valued>0</is_multi_valued>
      <is_required>0</is_required>
      <label xml:lang="en">Total</label>
      <prec>19</prec>
      <range_inclusive>0</range_inclusive>
      <readonly>1</readonly>
      <scale>2</scale>
      <sort_order>7</sort_order>
      <source_id keyed_name="sop_po_service_part_details" type="ItemType" name="sop_po_service_part_details">48A2D07AB6C540A18F881E442B18899A</source_id>
      <track_history>0</track_history>
      <name>stk_total_amount</name>
     </Item>
     <Item type="Property" id="606C89BA38F9453D8B792C9B9438B33C" action="add">
      <column_alignment>left</column_alignment>
      <data_type>string</data_type>
      <is_hidden>1</is_hidden>
      <is_hidden2>1</is_hidden2>
      <is_indexed>0</is_indexed>
      <is_keyed>0</is_keyed>
      <is_multi_valued>0</is_multi_valued>
      <is_required>0</is_required>
      <label xml:lang="en">Well</label>
      <range_inclusive>0</range_inclusive>
      <readonly>0</readonly>
      <sort_order>3712</sort_order>
      <source_id keyed_name="sop_po_service_part_details" type="ItemType" name="sop_po_service_part_details">48A2D07AB6C540A18F881E442B18899A</source_id>
      <stored_length>100</stored_length>
      <track_history>0</track_history>
      <name>stk_well</name>
     </Item>
    </Relationships>
   </Item>
  </relationship_id>
  <sort_order>200</sort_order>
  <source_id keyed_name="sop_po_out" type="ItemType" name="sop_po_out">FE9149DD168049BD9447A4BCDE952ECA</source_id>
  <name>sop_po_service_part_details</name>
  <Relationships>
   <Item type="Relationship Grid Event" id="48050BF313B44A86889E75359E5239E7" action="add">
    <grid_event>ondeleterow</grid_event>
    <related_id keyed_name="sop_details_delete_with_discount" type="Method">
     <Item type="Method" action="get" select="id">
      <name>sop_details_delete_with_discount</name>
     </Item>
    </related_id>
    <sort_order>128</sort_order>
    <source_id keyed_name="sop_po_service_part_details" type="RelationshipType">4C1643C3D7EC48CFADB45A87CE64BCD4</source_id>
   </Item>
   <Item type="Relationship Grid Event" id="C7A71A474CC84ECE9F6257B57A81C400" action="add">
    <grid_event>oninsertrow</grid_event>
    <related_id keyed_name="sop_serive_itemcount_insertrow" type="Method">
     <Item type="Method" action="get" select="id">
      <name>sop_serive_itemcount_insertrow</name>
     </Item>
    </related_id>
    <sort_order>256</sort_order>
    <source_id keyed_name="sop_po_service_part_details" type="RelationshipType">4C1643C3D7EC48CFADB45A87CE64BCD4</source_id>
   </Item>
  </Relationships>
 </Item>
 <Item type="View" action="delete" where="source_id='48A2D07AB6C540A18F881E442B18899A'" />
 <Item type="Form" action="delete" where="name='sop_po_service_part_details'" />
</AML>